package service

import (
	"context"

	"git.espin.casa/albert/cml04-falcon-system/injector/types"
	"git.espin.casa/albert/cml04-falcon-system/internal/publisher"
)

type IService interface {
	Bundle(ctx context.Context, req *types.PostBundleReq) (res *types.PostBundleRes, err error)
}

type service struct {
	pub publisher.Publisher
}

// Bundle implements IService.
func (s *service) Bundle(ctx context.Context, req *types.PostBundleReq) (res *types.PostBundleRes, err error) {
	return &types.PostBundleRes{}, nil
}

func New(pub publisher.Publisher) IService {
	return &service{
		pub: pub,
	}
}
